keywords
Start a research job
input_params depends on research_type: keywords for bulk, seed_keywords for suggestions, domain for domain_keywords.
POST
/
v1
/
projects
/
{projectId}
/
keywords
/
research
Start a research job
curl --request POST \
--url https://api.surnex.io/v1/projects/{projectId}/keywords/research \
--header 'Content-Type: application/json' \
--data '
{
"research_type": "bulk",
"input_params": {
"keywords": [
"<string>"
],
"location_code": 2840,
"language_code": "en"
}
}
'import requests
url = "https://api.surnex.io/v1/projects/{projectId}/keywords/research"
payload = {
"research_type": "bulk",
"input_params": {
"keywords": ["<string>"],
"location_code": 2840,
"language_code": "en"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
research_type: 'bulk',
input_params: {keywords: ['<string>'], location_code: 2840, language_code: 'en'}
})
};
fetch('https://api.surnex.io/v1/projects/{projectId}/keywords/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{}Path Parameters
Body
application/json
⌘I
Start a research job
